kcapi_aead_setassoclen
Prev | AEAD Cipher API - Generic | Next

## Name

kcapi_aead_setassoclen — set authentication data size

## Synopsis

`void kcapi_aead_setassoclen (` | struct kcapi_handle * handle,
| size_t assoclen`)`;

## Arguments

`handle`

  [in] cipher handle

`assoclen`

  [in] length of associated data length

## Description

The associated data is retained in the cipher handle. During initialization of a cipher handle, it is sent to the kernel. The kernel cipher implementations may verify the appropriateness of the authentication data size and may return an error during initialization if the authentication size is not considered appropriate.

Prev | Up | Next
kcapi_aead_setkey | Home | kcapi_aead_settaglen